<?php
/*
  $Id: cm_header_store_mode.php
  $Loc: catalog/includes/modules/content/header/

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  2016 Store Mode 1.2.1
  by @raiwa 
  info@oscaddons.com
  www.oscaddons.com
  
  Copyright (c) 2014 osCommerce

  Released under the GNU General Public License
*/

  class cm_header_store_mode {
    var $code;
    var $group;
    var $title;
    var $description;
    var $sort_order;
    var $enabled = false;

    function __construct() {
      $this->code = get_class($this);
      $this->group = basename(dirname(__FILE__));

      $this->title = MODULE_CONTENT_HEADER_STORE_MODE_TITLE;
      $this->description = MODULE_CONTENT_HEADER_STORE_MODE_DESCRIPTION;
      
      if (!defined('MODULE_HEADER_TAGS_STORE_MODE_STATUS') || defined('MODULE_HEADER_TAGS_STORE_MODE_STATUS') && MODULE_HEADER_TAGS_STORE_MODE_STATUS != 'true' ) {
        $this->description = '<div class="secWarning">' . 
                                 MODULE_CONTENT_HEADER_STORE_MODE_HT_MODULE_WARNING . 
                             '  <a href="modules.php?set=header_tags&module=ht_store_mode&action=install">' . MODULE_CONTENT_HEADER_STORE_MODE_HT_MODULE_INSTALL_NOW . '</a>
                             </div>' . 
                             $this->description;
      }      

      $this->description .= '<div class="secWarning">' . MODULE_CONTENT_BOOTSTRAP_ROW_DESCRIPTION . '</div>';

      if ( defined('MODULE_CONTENT_HEADER_STORE_MODE_STATUS') ) {
        $this->sort_order = MODULE_CONTENT_HEADER_STORE_MODE_SORT_ORDER;
        $this->enabled = (MODULE_CONTENT_HEADER_STORE_MODE_STATUS === 'True');
      }
    }

    
    function execute() {
      global $PHP_SELF, $oscTemplate, $messageStack, $language;

      $content_width = (int)MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_WIDTH;
      $output = null;
      
      if (defined('MODULE_HEADER_TAGS_STORE_MODE_STATUS') && MODULE_HEADER_TAGS_STORE_MODE_STATUS == 'true' ) {
      
      // check if to show the checkout message
      if ( strpos(MODULE_HEADER_TAGS_STORE_MODE, 'checkout') > -1 && tep_not_null(MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_CHECKOUT_PAGES)) {
        $checkout_pages_array = array();
        
        foreach (explode(';', MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_CHECKOUT_PAGES) as $page) {
          $page = trim($page);

          if (!empty($page)) {
            $checkout_pages_array[] = $page;
          }
        }

      // create the checkout message
        if (in_array(basename($PHP_SELF), $checkout_pages_array)) {
          $output = 	'<div class="alert alert-warning">';
          $output .= 	'  <div class="panel-body">' .  MODULE_CONTENT_HEADER_STORE_MODE_CHECKOUT_MESSAGE . '<br><br>' . $this->get_offline_time() . '</div>';
          if ($messageStack->size('store_mode') > 0) {
            $messageStack->add('store_mode_short', MODULE_CONTENT_HEADER_STORE_MODE_CUSTOM_MESSAGE_SHORT, 'alert');
            $output .= $messageStack->output('store_mode_short');
          }
          $output .= 	'</div>';
        }
      }

      // check if to show the account message
      if ( strpos(MODULE_HEADER_TAGS_STORE_MODE, 'account') > -1 && tep_not_null(MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_ACCOUNT_PAGES)) {
        $account_pages_array = array();
        
        foreach (explode(';', MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_ACCOUNT_PAGES) as $page) {
          $page = trim($page);

          if (!empty($page)) {
            $account_pages_array[] = $page;
          }
        }

      // create the account message
        if (in_array(basename($PHP_SELF), $account_pages_array)) {
          $output = 	'<div class="alert alert-warning">';
          $output .= 	'  <div class="panel-body">' .  MODULE_CONTENT_HEADER_STORE_MODE_ACCOUNT_MESSAGE . '<br><br>' . $this->get_offline_time() . '</div>';
          if ($messageStack->size('store_mode') > 0) {
            $messageStack->add('store_mode_short', MODULE_CONTENT_HEADER_STORE_MODE_CUSTOM_MESSAGE_SHORT, 'alert');
            $output .= $messageStack->output('store_mode_short');
          }
          $output .= 	'</div>';
        }
        
      }
      
      // create the administrators message
      $allowed_ips_array = array();
      $allowed_ips_array = explode(',', MODULE_HEADER_TAGS_STORE_MODE_ALLOWED_IPS);          
      if ( MODULE_HEADER_TAGS_STORE_MODE != 'online' && strpos(MODULE_HEADER_TAGS_STORE_MODE, '-test') == 0 && in_array(getenv('REMOTE_ADDR'), $allowed_ips_array) ) {
        $output = 	'<div class="jumbotron alert-danger">';
        $output .= 	'  <p>' .  sprintf(constant('MODULE_HEADER_TAGS_STORE_MODE_MESSAGE_' . strtoupper($language)), strtoupper(MODULE_HEADER_TAGS_STORE_MODE), MODULE_HEADER_TAGS_STORE_MODE_BACK_TIME) . '</p>';
        $output .= 	'</div>';
      }

      // check if to show the custom area/redirect message
      if ( $messageStack->size('store_mode') > 0 && $output == '' ) {
        $output = $messageStack->output('store_mode');
      }
        	
      if ( $output != '') { // show message
        ob_start();
          include('includes/modules/content/' . $this->group . '/templates/tpl_' . basename(__FILE__));
        $template = ob_get_clean();

        $oscTemplate->addContent($template, $this->group);
      }
    }
    }

    function isEnabled() {
    	if ( defined('MODULE_HEADER_TAGS_STORE_MODE_STATUS') && MODULE_HEADER_TAGS_STORE_MODE_STATUS == 'true' ) {
    		return $this->enabled;
    	} else {
    		$this->enabled = false;
    	}
    }

    function check() {
      return defined('MODULE_CONTENT_HEADER_STORE_MODE_STATUS');
    }

    function install() {
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Current Version', 'MODULE_CONTENT_HEADER_STORE_MODE_VERSION_INSTALLED', 'Version 1.2.1', 'Version info. It is read only.', '6', '1', 'tep_version_readonly(', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable Header Store Mode Message Module', 'MODULE_CONTENT_HEADER_STORE_MODE_STATUS', 'True', 'Do you want to enable the Store Mode Message content module?', '6', '2', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Content Width', 'MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_WIDTH', '12', 'What width container should the content be shown in?', '6', '3', 'tep_cfg_select_option(array(\'12\', \'11\', \'10\', \'9\', \'8\', \'7\', \'6\', \'5\', \'4\', \'3\', \'2\', \'1\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Content Align', 'MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_ALIGN', 'text-center', 'How should the content be aligned?', '6', '4', 'tep_cfg_select_option(array(\'text-left\', \'text-center\', \'text-right\'), ', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Checkout Message Pages', 'MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_CHECKOUT_PAGES', '" . implode(';', $this->get_default_checkout_pages()) . "', 'The pages to show the Store Mode Message if in \"Checkout\" Mode.', '6', '5', 'cm_header_store_mode_show_pages', 'cm_header_store_mode_edit_checkout_pages(', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Account Message Pages', 'MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_ACCOUNT_PAGES', '" . implode(';', $this->get_default_account_pages()) . "', 'The pages to show the Store Mode Message if in \"Account\" Mode.', '6', '6', 'cm_header_store_mode_show_pages', 'cm_header_store_mode_edit_account_pages(', now())");
      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_CONTENT_HEADER_STORE_MODE_SORT_ORDER', '1000', 'Sort order of display. Lowest is displayed first.', '6', '7', now())");
    }
    
    function remove() {
      tep_db_query("delete from configuration where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      $KeysArray = array('MODULE_CONTENT_HEADER_STORE_MODE_VERSION_INSTALLED', 'MODULE_CONTENT_HEADER_STORE_MODE_STATUS', 'MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_WIDTH', 'MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_ALIGN', 'MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_CHECKOUT_PAGES', 'MODULE_CONTENT_HEADER_STORE_MODE_CONTENT_ACCOUNT_PAGES', 'MODULE_CONTENT_HEADER_STORE_MODE_SORT_ORDER');
      return $KeysArray;
    }
    
// define the pages where the checkout message may be shown
    function get_default_checkout_pages() {
    	$files_array = array('shopping_cart.php');
    	return $files_array;
    }
    
// define the pages where the account message may be shown
    function get_default_account_pages() {
    	$files_array = array('shopping_cart.php',
    	                     'login.php');
    	return $files_array;
    }

// get offline time left
    private function get_offline_time() {
      if (MODULE_HEADER_TAGS_STORE_MODE_BACK_TIME != '') {
        $to_time = strtotime(date("Y-m-d H:i:s"));
        $from_time = strtotime(date('Y-m-d') . MODULE_HEADER_TAGS_STORE_MODE_BACK_TIME . ':00');
        if ($from_time < $to_time) $from_time += 24 * 60 * 60;
        $time_left = gmdate("H:i", round(abs($to_time - $from_time)));
        return  sprintf(MODULE_CONTENT_HEADER_STORE_MODE_ACCOUNT_REOPEN_TIME, $time_left);
      }
    }
    
  } //end class

  function cm_header_store_mode_show_pages($text) {
  	return nl2br(implode("\n", explode(';', $text)));
  }

  function cm_header_store_mode_edit_checkout_pages($values, $key) {

    $files_array = array('shopping_cart.php',
                   			 'index.php');

    $values_array = explode(';', $values);

    $output = '';
    foreach ($files_array as $file) {
      $output .= tep_draw_checkbox_field('cm_store_mode_checkout_file[]', $file, in_array($file, $values_array)) . '&nbsp;' . tep_output_string($file) . '<br />';
    }

    if (!empty($output)) {
      $output = '<br />' . substr($output, 0, -6);
    }

    $output .= tep_draw_hidden_field('configuration[' . $key . ']', '', 'id="htsmch_files"');

    $output .= '<script>
                function htsmch_update_cfg_value() {
                  var htsmch_selected_files = \'\';

                  if ($(\'input[name="cm_store_mode_checkout_file[]"]\').length > 0) {
                    $(\'input[name="cm_store_mode_checkout_file[]"]:checked\').each(function() {
                      htsmch_selected_files += $(this).attr(\'value\') + \';\';
                    });

                    if (htsmch_selected_files.length > 0) {
                      htsmch_selected_files = htsmch_selected_files.substring(0, htsmch_selected_files.length - 1);
                    }
                  }

                  $(\'#htsmch_files\').val(htsmch_selected_files);
                }

                $(function() {
                  htsmch_update_cfg_value();

                  if ($(\'input[name="cm_store_mode_checkout_file[]"]\').length > 0) {
                    $(\'input[name="cm_store_mode_checkout_file[]"]\').change(function() {
                      htsmch_update_cfg_value();
                    });
                  }
                });
                </script>';

    return $output;
  }

  function cm_header_store_mode_edit_account_pages($values, $key) {

    $files_array = array('shopping_cart.php',
    	                     'login.php',
                   				 'index.php');

    $values_array = explode(';', $values);

    $output = '';
    foreach ($files_array as $file) {
      $output .= tep_draw_checkbox_field('cm_store_mode_account_file[]', $file, in_array($file, $values_array)) . '&nbsp;' . tep_output_string($file) . '<br />';
    }

    if (!empty($output)) {
      $output = '<br />' . substr($output, 0, -6);
    }

    $output .= tep_draw_hidden_field('configuration[' . $key . ']', '', 'id="htsmac_files"');

    $output .= '<script>
                function htsmac_update_cfg_value() {
                  var htsmac_selected_files = \'\';

                  if ($(\'input[name="cm_store_mode_account_file[]"]\').length > 0) {
                    $(\'input[name="cm_store_mode_account_file[]"]:checked\').each(function() {
                      htsmac_selected_files += $(this).attr(\'value\') + \';\';
                    });

                    if (htsmac_selected_files.length > 0) {
                      htsmac_selected_files = htsmac_selected_files.substring(0, htsmac_selected_files.length - 1);
                    }
                  }

                  $(\'#htsmac_files\').val(htsmac_selected_files);
                }

                $(function() {
                  htsmac_update_cfg_value();

                  if ($(\'input[name="cm_store_mode_account_file[]"]\').length > 0) {
                    $(\'input[name="cm_store_mode_account_file[]"]\').change(function() {
                      htsmac_update_cfg_value();
                    });
                  }
                });
                </script>';

    return $output;
  }

// function show the version read only  
  if(!function_exists('tep_version_readonly')) {
  	function tep_version_readonly($value){
  		$version_text = '<br>Version ' . $value;
      return $version_text;
    }
  }
